Subject: [DNSOP] comment to ns-communication-00

From: [email-masked]
Date: Mon, 23 Jul 2007 23:34:46 +0900 (JST)

from ietf68 minutes,
> draft-regnauld-ns-communication-00.txt  
> Volunteers for compiling a list of services to be addressed:
>      - Kazunori Fujiwara

I could not do this work yet.

I have a comment for the draft.
Section 3.2 mentions thousands of zones synchronization.
But there is a company which operates already over 50,000 zones in one
system.

The number of zones may be over 1 million on large scale DNS providers
or registrars.

Large number of zones case, DNS protocol may not work for
synchronization because there are many refresh check
queries/timers. If there are 1 million zones whose REFRESH is 3600, At
least 1000000/3600 = 277qps REFRESH queries are generated. It is not
realistic.

To resolve this problem, another zone synchronization mechanism is
required.

But I'm afraid it may be outside of DNS protocol.
It may be implemented by database replication.

--
Kazunori Fujiwara, JPRS

_______________________________________________
DNSOP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dnsop